> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Import cost centres

> Import cost centres by CSV file. The file should contain the follwing headers: name, code, type.
The type can be "KOST1" or "KOST2". Already imported cost centres, identified by code, will be skipped.

<sup>Required permissions: `cost-centre:write`</sup>



## OpenAPI

````yaml post /accounting/cost-centres/import
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /accounting/cost-centres/import:
    parameters: []
    post:
      tags:
        - CostCentre
      summary: Import cost centres
      description: >-
        Import cost centres by CSV file. The file should contain the follwing
        headers: name, code, type.

        The type can be "KOST1" or "KOST2". Already imported cost centres,
        identified by code, will be skipped.


        <sup>Required permissions: `cost-centre:write`</sup>
      operationId: importCostCentres
      parameters: []
      requestBody:
        description: ''
        content: {}
        required: false
      responses:
        '200':
          description: Cost centres imported
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: cst_1J5Z2n2eZvKYlo2C2Z2n2eZvKYlo2C
                        name:
                          type: string
                          example: KOST1
                        code:
                          type: string
                          example: KOST1
                        type:
                          type: string
                          example: KOST1
                        status:
                          type: string
                          example: active
        '400':
          description: Bad csv file format
      deprecated: false
      security:
        - JWT:
            - cost-centre:write
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````